Package org.gradle.vcs

# Interface VcsMapping

public interface VcsMapping
A dependency mapping provided by a VCS repository.

Since:
  4.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T extends VersionControlSpec>
  void`
  `from(Class<T> type, Action<? super T> configureAction)`
  Specifies the VCS location for the requested component.
  `void`
  `from(VersionControlSpec versionControlSpec)`
  Specifies the VCS location for the requested component.
  `ComponentSelector`
  `getRequested()`
  The requested dependency, before it is resolved.

- ## Method Details

  - ### getRequested

    ComponentSelector getRequested()
    The requested dependency, before it is resolved. The requested dependency does not change even if there are multiple dependency substitution rules that manipulate the dependency metadata.

  - ### from

    void from(VersionControlSpec versionControlSpec)
    Specifies the VCS location for the requested component.
    Since:
      4.6

  - ### from

    <T extends VersionControlSpec> void from(Class<T> type, Action<? super T> configureAction)
    Specifies the VCS location for the requested component.